@if (componentData$ | async; as componentData) {
  <div class="full-width full-height flex-column">
    <div class="flex-row">
      <span class="admin-workspace-secondary-title">{{
        'sqtm-core.entity.milestone.label.plural' | translate
      }}</span>
      <div class="flex-grow"></div>
      @if (
        (isLoggedAsAdmin$ | async) ||
        isMilestoneManager(componentData.project.permissions)
      ) {
        <div
          class="m-5 flex-row flex-fixed-size toolbar"
          [attr.data-test-toolbar-id]="'milestone-toolbar'"
        >
          <i
            nz-icon
            nz-dropdown
            nzType="sqtm-core-generic:add"
            nzTheme="outline"
            class="p-t-1 current-workspace-button action-icon-size"
            nz-tooltip
            nzTooltipPlacement="topRight"
            [nzTooltipTitle]="'sqtm-core.generic.label.add' | translate"
            [attr.data-test-toolbar-button-id]="'bind-milestones-button'"
            (click)="bindMilestone()"
          >
          </i>
          <div class="current-workspace-button">
            <sqtm-core-toggle-icon
              [active]="milestoneTable.hasSelectedRows$ | async"
              (clickedInActiveMode)="unbindMilestone()"
            >
              <i
                nz-icon
                nz-dropdown
                nzType="sqtm-core-generic:unlink"
                nzTheme="outline"
                class="action-icon-size"
                nz-tooltip
                nzTooltipPlacement="topRight"
                [nzTooltipTitle]="'sqtm-core.generic.label.delete' | translate"
                [attr.data-test-toolbar-button-id]="'unbind-milestones-button'"
              >
              </i>
            </sqtm-core-toggle-icon>
          </div>
          @if (!componentData.project.template) {
            <button
              class="flex-fixed-size"
              nz-button
              nzType="primary"
              [nzSize]="'small'"
              nzTooltipPlacement="topRight"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.entity.milestone.create-and-bind-milestone-to-project.label'
                  | translate
              "
              [attr.data-test-toolbar-button-id]="
                'create-bind-milestone-button'
              "
              (click)="createMilestone()"
            >
              {{ 'sqtm-core.generic.label.create' | translate }}
            </button>
          }
        </div>
      }
    </div>
    <div class="m-r-20 m-b-10 p-10 full-height sqtm-large-grid-container">
      <sqtm-app-project-milestones-panel></sqtm-app-project-milestones-panel>
    </div>
  </div>
}
